@charset "utf-8";

/* ----------------------------------------
	footer.css(TOPページ)
---------------------------------------- */
.footer {
  position: relative;
}

.footer-top {
  background-color: #EAF0FA;
  padding: 4rem 6%;
  display: flex;
  align-items: center;
  gap: 6%;
}

.footer-top-left {
  flex: 1;
}

.footer-top-right {
  flex: 4;
}

.footer-logo {
  margin: 0 auto 2rem auto;
}

.footer .footer-nav .footer-nav-list {
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
}

.footer .footer-nav .footer-nav-list .main-item {
  width: 20%;
  font-family: "Montserrat", sans-serif;
  font-size: 0.95em;
  font-weight: bold;
}

.footer .footer-nav a:hover {
  color: #3067d1;
}

.footer .footer-nav .sub-menu {
  margin-top: 1.5rem;
}

.footer .footer-nav .sub-menu li {
  width: 100%;
  font-size: 0.85em;
  font-weight: 400;
  margin-bottom: 0.8rem;
  line-height: 1.5;
}

.footer .footer-nav .sub-menu li:last-child {
  margin-bottom: 0;
}

.footer .footer-nav .sub-menu li.indent span {
  display: block;
  line-height: 1;
  margin-top: -20px;
}


hr {
  color: #bac7cc;
}

#footer .indent {
  text-indent: -1.2em;
  padding-left: 1.2em;
}

.footer-bottom {
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 2rem;
  background-color: #EAF0FA;
  padding: 0.5rem 1rem;
}

.footer-bottom a,
.footer-bottom p {
  font-size: 0.8rem;
}

.footer-bottom a:hover {
  color: #3067d1;
}

/* お問い合わせボタン */
.btn-contact-footer {
  margin: 0 auto;
  background-color: #fff;
  padding: 1rem;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.btn-contact-footer p {
  color: #3067d1;
  font-weight: 700;
  transition: transform 0.3s ease;
}

#footer .fa-arrow-right {
  display: inline-block;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #3067d1;
  color: #fff;
  text-align:center;
  line-height: 30px;
  transition: transform 0.3s ease;
}

.btn-contact-footer-box:hover p {
  transform: scale(1.1);
}

.btn-contact-footer-box:hover i {
  transform: scale(1.1);
}

/* page-top-bottom */
.page-top {
  position: absolute;
  top: 50%;
  right: 2rem;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
}

.page-top p {
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  writing-mode: vertical-rl;
  margin-top: 0.5rem;
  line-height: 3;
}

.page-top:hover p {
  color: #3067d1;
}

.page-top figure {
  display: inline-block;
  animation: fuwafuwa 2.5s ease-in-out infinite;
}

@keyframes fuwafuwa {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-6px); }
  100% { transform: translateY(0); }
}


/* 画面幅1180px以下 */
@media screen and (max-width:1180px) {
  .footer-top {
    display: block;
  }

  .footer-top-left {
    display: flex;
    gap: 4rem;
    margin-bottom: 2rem;
  }

  .footer-logo {
    flex: 1.5;
  }

  .btn-contact-footer-box {
    flex: 1;
  }
}

/* 画面幅1024px以下 */
@media screen and (max-width:1024px) {
  .footer .footer-nav .footer-nav-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2.5rem;
  }

  .footer .footer-nav .footer-nav-list .main-item {
    width: 100%;
  }

  .page-top {
    right: 1rem;
  }
}

/* 画面幅767px以下 */
@media screen and (max-width:767px) {
  .footer-top {
    padding: 4rem 10%;
  }

  .footer-top-left {
    gap: 2rem;
    align-items: center;
    margin-bottom: 3rem;
  }

  .footer-logo {
    flex: 1;
  }

  .footer .footer-nav .footer-nav-list {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* 画面幅575px以下 */
@media screen and (max-width:575px) {
  .footer-top {
    padding: 4rem 10% 6rem 10%;
  }

  .footer .footer-nav .footer-nav-list {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer-bottom {
    display: block;
    text-align: right;
  }
}

/* 画面幅475px以下 */
@media screen and (max-width:475px) {
  .footer-top-left {
    display: block;
  }
}

/* 画面幅375px以下 */
@media screen and (max-width:375px) {
  .page-top {
    display: flex;
    gap: 1rem;
    top: 90%;
  }

  .page-top p {
    writing-mode: horizontal-tb;
  }
}